API · Edit affiliate

API v1
POST /api/v1/collect/edit/affiliate

What it does#

Edit affiliate.

Authentication#

Host: https://app.tilopay.com. Requires the API bearer token in Authorization: Bearer <token> and the integration key in the body (key).

Get the API token.

Parameters#

keystringrequired#

Integration key.

affiliateidintegerrequired#

Affiliate ID.

namestring#

name

lastnamestring#

lastname

companystring#

company

phonestring#

phone

addressstring#

address

citystring#

city

statestring#

state

zipcodestring#

zipcode

countrystring#

country

base_amountstring#

base_amount

Request example#

<api_key> is the placeholder for your integration key.

{
  "key": "<api_key>",
  "affiliateid": 2,
  "name": "Juan",
  "lastname": "Lopez",
  "company": "Tilo",
  "phone": "88998877",
  "address": "Escazu",
  "city": "San Jose",
  "state": "SJO",
  "zipcode": "10101",
  "country": "CR",
  "base_amount": "10.00"
}

Response#

update returns success.

typeunknown#

type.

errorsunknown#

errors.

updatestring#

update.

{
  "type": "200",
  "errors": "",
  "update": "success"
}
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string"
    },
    "errors": {
      "type": "string"
    },
    "update": {
      "type": "string",
      "const": "success"
    }
  }
}

Last verified: 2026-10-20

View as raw Markdown